Skip to main content
POST
/
v1
/
companies
/
{company-id}
/
users
/
{user-id}
/
compliance_documents
Create Compliance Document for User
curl --request POST \
  --url https://api.tread-horizon.com/v1/companies/{company-id}/users/{user-id}/compliance_documents \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "compliance_document_type_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "compliant_type": "Account",
  "compliant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "value": "<string>",
  "expires_at": "2023-11-07T05:31:56Z"
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "compliant_type": "Account",
    "compliant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "compliance_document_type": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "field_type": "none",
      "has_expiration": true,
      "dispatch_gating": true,
      "required_vendors": true,
      "required_internal_drivers": true,
      "required_shared_drivers": true,
      "required_equipment": true,
      "external_id": "<string>"
    },
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "value": "<string>",
    "expires_at": "2023-11-07T05:31:56Z",
    "notification_sent_at": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.tread.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
string
default:en

The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.

Example:

"en"

Path Parameters

company-id
string<uuid>
required

Company ID

user-id
string<uuid>
required

User ID

Body

application/json
compliance_document_type_id
string<uuid>
required

ID of the compliance document type

compliant_type
enum<string>

Type of entity

Available options:
Account,
User,
Equipment
compliant_id
string<uuid>

ID of the entity

value
string

Custom value

expires_at
string<date-time>

Expiration date

Response

Created

data
ComplianceDocument-Read · object
required